---
title: "Habitaclia API: Locations | Perceptlayer"
description: "Locations from Habitaclia as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/habitaclia/locations
---

[APIs](https://perceptlayer.com/apis) / [Habitaclia](https://perceptlayer.com/apis/habitaclia) / Locations

# Habitaclia: Locations

Locations from Habitaclia as JSON. 1 credit per successful call.

GET `/v1/habitaclia/locations`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `query` | string | Required | Up to 120 characters |
| `property_type` | string | Required | flat, house, office, garage, building, land |
| `transaction_type` | string | Optional | buy, rent |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/habitaclia/locations?query=Valencia&transaction_type=buy&property_type=flat" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/habitaclia?try=locations#playground) with your own parameters. 1 credit per successful call; failed calls are free.
